Package groovy.lang

# Annotation Type GrabExclude

@Retention(SOURCE) @Target({CONSTRUCTOR,FIELD,LOCAL_VARIABLE,METHOD,PARAMETER,TYPE}) public @interface GrabExclude
Used to exclude an indirectly referenced artifact (a transitive dependency) from the classpath.

Examples:
`@GrabExclude(group='mysql', module='mysql-connector-java') // group/module form`
`@GrabExclude('mysql:mysql-connector-java') // compact form`

Further information about customising grape behavior can be found on the Grape documentation page: http://groovy-lang.org/grape.html.

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`group`
The organisation or group, e.g.: "org.apache.ant"; required unless the compact form is used.
`String`
`module`
The module or artifact, e.g.: "ant-junit"; required unless the compact form is used.
`String`
`value`
Allows you to specify the group (organisation) and the module (artifact) in one of two compact convenience formats, e.g.: `@GrabExclude('org.apache.ant:ant-junit')` or `@GrabExclude('org.apache.ant#ant-junit')`

## Element Details

### group

String group
The organisation or group, e.g.: "org.apache.ant"; required unless the compact form is used.

Default:
  `""`

### module

String module
The module or artifact, e.g.: "ant-junit"; required unless the compact form is used.

Default:
  `""`

### value

String value
Allows you to specify the group (organisation) and the module (artifact) in one of two compact convenience formats, e.g.: `@GrabExclude('org.apache.ant:ant-junit')` or `@GrabExclude('org.apache.ant#ant-junit')`

Default:
  `""`